Bug 683477 - SEGFAULT/abort(): GLib-GIO Settings schema does not contain a key named.... 'power-management-delay'??
SEGFAULT/abort(): GLib-GIO Settings schema does not contain a key named.... '...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 09:20 EST by Tom London
Modified: 2015-02-17 08:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:40:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2011-03-09 09:20:35 EST
Description of problem:
See this in the corefile. Running Rawhide...

Core was generated by `gnome-screensaver'.
Program terminated with signal 6, Aborted.
#0  0x0000003081e36285 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk3-module-0.6.13-1.fc16.x86_64 freetype-2.4.4-4.fc16.x86_64 gnome-desktop3-2.91.91-1.fc15.x86_64
(gdb) set pagination off
(gdb) bt full
#0  0x0000003081e36285 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = 1926
        selftid = 1926
#1  0x0000003081e37b9b in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0xa563a0, sa_sigaction = 0xa563a0}, sa_mask = {__val = {10846432, 208337398720, 140001300086784, 10387749, 208333260165, 134, 10846432, 4294967295, 10838944, 10387749, 2, 208374156920, 0, 0, 208392760385, 0}}, sa_flags = -2120164060, sa_restorer = 0x5}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x0000003083e4b882 in g_logv (log_domain=0x30852d2c41 "GLib-GIO", log_level=<optimized out>, format=0x30852e98f8 "Settings schema '%s' does not contain a key named '%s'", args1=0x7fff2c485cd8) at gmessages.c:557
        depth = <optimized out>
        domain = 0x0
        data = 0x0
        log_func = 0x3083e4aa10 <g_log_default_handler>
        domain_fatal_mask = <optimized out>
        masquerade_fatal = <optimized out>
        test_level = <optimized out>
        was_fatal = 0
        was_recursion = 0
        i = 2
#3  0x0000003083e4b912 in g_log (log_domain=<optimized out>, log_level=<optimized out>, format=<optimized out>) at gmessages.c:577
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff2c485db0, reg_save_area = 0x7fff2c485cf0}}
#4  0x00000030852929b5 in g_settings_schema_get_value (schema=0xa4c050 [GSettingsSchema], key=0x4207f4 "power-management-delay") at gsettingsschema.c:309
        iter = <optimized out>
        value = 0x0
#5  0x0000003085294041 in g_settings_get_key_info (info=0x7fff2c485e20, settings=0xa4c000 [GSettings], key=0x4207f4 "power-management-delay") at gsettings.c:902
        iter = <optimized out>
        data = <optimized out>
        code = <optimized out>
#6  0x0000003085295be3 in g_settings_get_value (settings=0xa4c000 [GSettings], key=0x4207f4 "power-management-delay") at gsettings.c:1258
        info = {settings = 0x0, key = 0x0, schema = 0x0, is_flags = 0, is_enum = 0, strinfo = 0x0, strinfo_length = 0, unparsed = 0x0, lc_char = 0 '\000', type = 0x0, minimum = 0x0, maximum = 0x0, default_value = 0x0}
        value = <optimized out>
        __PRETTY_FUNCTION__ = "g_settings_get_value"
#7  0x000000308529653b in g_settings_get (settings=<optimized out>, key=<optimized out>, format=0x4209d9 "u") at gsettings.c:1578
        value = <optimized out>
        ap = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff2c485f90, reg_save_area = 0x7fff2c485ec0}}
#8  0x00000000004176a5 in _gs_settings_get_uint (settings=<optimized out>, key=<optimized out>) at gs-prefs.c:318
        value = 10
#9  0x0000000000417ea1 in gs_prefs_load_from_settings (prefs=0xa50030 [GSPrefs]) at gs-prefs.c:346
        uvalue = <optimized out>
        bvalue = <optimized out>
        string = <optimized out>
        strv = <optimized out>
        mode = <optimized out>
#10 gs_prefs_init (prefs=0xa50030 [GSPrefs]) at gs-prefs.c:558
No locals.
#11 0x0000003084a31b80 in g_type_create_instance (type=10136656) at gtype.c:1889
        node = <optimized out>
        instance = <optimized out>
        class = <optimized out>
        i = <optimized out>
        total_size = <optimized out>
#12 0x0000003084a1025c in g_object_constructor (type=<optimized out>, n_construct_properties=0, construct_params=0x0) at gobject.c:1615
        object = <optimized out>
#13 0x0000003084a131f2 in g_object_newv (object_type=10136656, n_parameters=0, parameters=0x0) at gobject.c:1398
        cparams = 0x0
        oparams = 0x0
        nqueue = 0x0
        object = <optimized out>
        class = 0xa4fa30
        unref_class = 0xa4fa30
        slist = 0x0
        n_total_cparams = <optimized out>
        n_cparams = 0
        n_oparams = 0
        n_cvalues = <optimized out>
        cvalues = <optimized out>
        clist = <optimized out>
        newly_constructed = <optimized out>
        i = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_newv"
#14 0x0000003084a13dbc in g_object_new (object_type=10136656, first_property_name=0x0) at gobject.c:1308
        object = <optimized out>
        var_args = {{gp_offset = 2212930797, fp_offset = 48, overflow_arg_area = 0x9aac50, reg_save_area = 0x4208d8}}
        __PRETTY_FUNCTION__ = "g_object_new"
#15 0x00000000004180b2 in gs_prefs_new () at gs-prefs.c:602
        prefs = <optimized out>
#16 0x000000000040b4b5 in gs_monitor_init (monitor=0xa4b520 [GSMonitor]) at gs-monitor.c:438
No locals.
#17 0x0000003084a31b80 in g_type_create_instance (type=10137184) at gtype.c:1889
        node = <optimized out>
        instance = <optimized out>
        class = <optimized out>
        i = <optimized out>
        total_size = <optimized out>
#18 0x0000003084a1025c in g_object_constructor (type=<optimized out>, n_construct_properties=0, construct_params=0x0) at gobject.c:1615
        object = <optimized out>
#19 0x0000003084a131f2 in g_object_newv (object_type=10137184, n_parameters=0, parameters=0x0) at gobject.c:1398
        cparams = 0x0
        oparams = 0x0
        nqueue = 0x0
        object = <optimized out>
        class = 0x9aaed0
        unref_class = 0x9aaed0
        slist = 0x0
        n_total_cparams = <optimized out>
        n_cparams = 0
        n_oparams = 0
        n_cvalues = <optimized out>
        cvalues = <optimized out>
        clist = <optimized out>
        newly_constructed = <optimized out>
        i = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_newv"
#20 0x0000003084a13dbc in g_object_new (object_type=10137184, first_property_name=0x0) at gobject.c:1308
        object = <optimized out>
        var_args = {{gp_offset = 0, fp_offset = 0, overflow_arg_area = 0x0, reg_save_area = 0x0}}
        __PRETTY_FUNCTION__ = "g_object_new"
#21 0x000000000040b6c2 in gs_monitor_new () at gs-monitor.c:488
        monitor = <optimized out>
#22 0x000000000040a8ff in main (argc=1, argv=0x7fff2c486958) at gnome-screensaver.c:89
        monitor = <optimized out>
        error = 0x0
        show_version = 0
        no_daemon = 0
        debug = 0
        entries = {{long_name = 0x41c6c6 "version", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x627180, description = 0x41c6ce "Version of this application", arg_description = 0x0}, {long_name = 0x41c6ea "no-daemon", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x627184, description = 0x41c6f4 "Don't become a daemon", arg_description = 0x0}, {long_name = 0x41c70a "debug", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x627188, description = 0x41c710 "Enable debugging code", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
        __FUNCTION__ = "main"
(gdb) 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2011-06-21 11:43:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-04-03 13:26:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 11:36:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 08:40:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.